﻿<Graph ClassName="RCLMachineServ" Source="#CDATA" IsNew="True" FileType="NewGraph">
    <CDATA name="Source"><![CDATA[using System;
using PX.Data;
using PX.Objects.FA;
using PX.Objects.GL;

namespace RCLJO
{
    [Serializable]
    [PXCacheName("RCLMachineServ")]
    public class RCLMachineServ : IBqlTable
    {
        #region JORefNbr
        [PXDBString(20, IsUnicode = true, InputMask = "")]
        [PXDBDefault(typeof(RCLJobOrder.jORefNbr))]
        [PXParent(typeof(Select<RCLJobOrder, Where<RCLJobOrder.jORefNbr, Equal<Current<RCLMachineServ.jORefNbr>>>>))]
        [PXUIField(DisplayName = "JO Ref Nbr")]
        public virtual string JORefNbr { get; set; }
        public abstract class jORefNbr : PX.Data.BQL.BqlString.Field<jORefNbr> { }
        #endregion

        #region RecID
        [PXDBIdentity(IsKey = true)]
        public virtual int? RecID { get; set; }
        public abstract class recID : PX.Data.BQL.BqlInt.Field<recID> { }
        #endregion

        #region BranchID
        [PXDBInt()]
        [PXDefault()]
        [PXSelector(typeof(Search<Branch.branchID, Where<Branch.active, Equal<True>>>),
          typeof(Branch.branchCD),
          typeof(Branch.acctName),
          typeof(Branch.active),
          SubstituteKey = typeof(Branch.branchCD),
          DescriptionField = typeof(Branch.acctName)
        )]
        [PXUIField(DisplayName = "Branch")]
        public virtual int? BranchID { get; set; }
        public abstract class branchID : PX.Data.BQL.BqlInt.Field<branchID> { }
        #endregion

        #region Section
        [PXDBString(30)]
        [PXUIField(DisplayName = "Section")]
        public virtual string Section { get; set; }
        public abstract class section : PX.Data.BQL.BqlInt.Field<section> { }
        #endregion

        #region AssetID
        [PXDBInt()]
        [PXDefault()]
        [PXSelector(typeof(Search<FixedAsset.assetID, Where<FixedAsset.branchID, Equal<Current<RCLMachineServ.branchID>>>>),
          typeof(FixedAsset.assetCD),
          typeof(FixedAsset.description),
          typeof(FixedAsset.classID),
          SubstituteKey = typeof(FixedAsset.assetCD),
          DescriptionField = typeof(FixedAsset.description)
        )]
        [PXUIField(DisplayName = "Asset ID")]
        public virtual int? AssetID { get; set; }
        public abstract class assetID : PX.Data.BQL.BqlInt.Field<assetID> { }
        #endregion

        #region MachineService
        [PXDBString(512, IsUnicode = true, InputMask = "")]
        [PXUIField(DisplayName = "Service Details")]
        public virtual string MachineService { get; set; }
        public abstract class machineService : PX.Data.BQL.BqlString.Field<machineService> { }
        #endregion

        #region Parts
        [PXDBString(40, IsUnicode = true, InputMask = "")]
        [PXUIField(DisplayName = "Part/s")]
        public virtual string Parts { get; set; }
        public abstract class parts : PX.Data.BQL.BqlString.Field<parts> { }
        #endregion

        #region Tstamp
        [PXDBTimestamp()]
        [PXUIField(DisplayName = "Tstamp")]
        public virtual byte[] Tstamp { get; set; }
        public abstract class tstamp : PX.Data.BQL.BqlByteArray.Field<tstamp> { }
        #endregion

        #region CreatedByID
        [PXDBCreatedByID()]
        public virtual Guid? CreatedByID { get; set; }
        public abstract class createdByID : PX.Data.BQL.BqlGuid.Field<createdByID> { }
        #endregion

        #region CreatedByScreenID
        [PXDBCreatedByScreenID()]
        public virtual string CreatedByScreenID { get; set; }
        public abstract class createdByScreenID : PX.Data.BQL.BqlString.Field<createdByScreenID> { }
        #endregion

        #region CreatedDateTime
        [PXDBCreatedDateTime()]
        public virtual DateTime? CreatedDateTime { get; set; }
        public abstract class createdDateTime : PX.Data.BQL.BqlDateTime.Field<createdDateTime> { }
        #endregion

        #region LastModifiedByID
        [PXDBLastModifiedByID()]
        public virtual Guid? LastModifiedByID { get; set; }
        public abstract class lastModifiedByID : PX.Data.BQL.BqlGuid.Field<lastModifiedByID> { }
        #endregion

        #region LastModifiedByScreenID
        [PXDBLastModifiedByScreenID()]
        public virtual string LastModifiedByScreenID { get; set; }
        public abstract class lastModifiedByScreenID : PX.Data.BQL.BqlString.Field<lastModifiedByScreenID> { }
        #endregion

        #region LastModifiedDateTime
        [PXDBLastModifiedDateTime()]
        public virtual DateTime? LastModifiedDateTime { get; set; }
        public abstract class lastModifiedDateTime : PX.Data.BQL.BqlDateTime.Field<lastModifiedDateTime> { }
        #endregion
    }
}]]></CDATA>
</Graph>